from refspy.types.book import Book
from refspy.types.library import Library

# See README.md for ID numbers
# English language libraries follow SBL style guide for books and
# abbreviations.

OT = Library(
    id=200,
    name="Old Testament",
    abbrev="OT",
    code="ot",
    books=[
        Book(
            id=1,
            name="Genesis",
            abbrev="Gen",
            code="gen",
            depth=2,
            aliases=[],
            chapters=50,
        ),
        Book(
            id=2,
            name="Exodus",
            abbrev="Exod",
            code="exod",
            depth=2,
            aliases=["Ex"],
            chapters=40,
        ),
        Book(
            id=3,
            name="Leviticus",
            abbrev="Lev",
            code="lev",
            depth=2,
            aliases=[],
            chapters=27,
        ),
        Book(
            id=4,
            name="Numbers",
            abbrev="Num",
            code="num",
            depth=2,
            aliases=[],
            chapters=36,
        ),
        Book(
            id=5,
            name="Deuteronomy",
            abbrev="Deut",
            code="deut",
            depth=2,
            aliases=[],
            chapters=34,
        ),
        Book(
            id=6,
            name="Joshua",
            abbrev="Josh",
            code="josh",
            depth=2,
            aliases=[],
            chapters=24,
        ),
        Book(
            id=7,
            name="Judges",
            abbrev="Judg",
            code="judg",
            depth=2,
            aliases=["Jdg"],
            chapters=21,
        ),
        Book(
            id=8,
            name="Ruth",
            abbrev="Ruth",
            code="ruth",
            depth=2,
            aliases=[],
            chapters=4,
        ),
        Book(
            id=9,
            name="1 Samuel",
            abbrev="1 Sam",
            code="1sam",
            depth=2,
            aliases=[],
            chapters=31,
        ),
        Book(
            id=10,
            name="2 Samuel",
            abbrev="2 Sam",
            code="2sam",
            depth=2,
            aliases=[],
            chapters=24,
        ),
        Book(
            id=11,
            name="1 Kings",
            abbrev="1 Kgs",
            code="1kgs",
            depth=2,
            aliases=["1 Ki"],
            chapters=22,
        ),
        Book(
            id=12,
            name="2 Kings",
            abbrev="2 Kgs",
            code="2kgs",
            depth=2,
            aliases=["2 Ki"],
            chapters=22,
        ),
        Book(
            id=13,
            name="1 Chronicles",
            abbrev="1 Chr",
            code="1chr",
            depth=2,
            aliases=[],
            chapters=29,
        ),
        Book(
            id=14,
            name="2 Chronicles",
            abbrev="2 Chr",
            code="2chr",
            depth=2,
            aliases=[],
            chapters=36,
        ),
        Book(
            id=15,
            name="Ezra",
            abbrev="Ezra",
            code="ezra",
            depth=2,
            aliases=[],
            chapters=10,
        ),
        Book(
            id=16,
            name="Nehemiah",
            abbrev="Neh",
            code="neh",
            depth=2,
            aliases=[],
            chapters=13,
        ),
        Book(
            id=17,
            name="Esther",
            abbrev="Esth",
            code="esth",
            depth=2,
            aliases=[],
            chapters=10,
        ),
        Book(
            id=18,
            name="Job",
            abbrev="Job",
            code="job",
            depth=2,
            aliases=[],
            chapters=42,
        ),
        Book(
            id=19,
            name="Psalm",
            abbrev="Ps",
            code="ps",
            depth=2,
            aliases=[],
            chapters=150,
        ),
        Book(
            id=20,
            name="Proverbs",
            abbrev="Prov",
            code="prov",
            depth=2,
            aliases=[],
            chapters=31,
        ),
        Book(
            id=21,
            name="Ecclesiastes",
            abbrev="Eccl",
            code="eccl",
            depth=2,
            aliases=["Qoheleth", "Qoh", "Ecc"],
            chapters=12,
        ),
        Book(
            id=22,
            name="Song of Solomon",
            abbrev="Song",
            code="song",
            depth=2,
            aliases=["Canticles", "Cant"],
            chapters=8,
        ),
        Book(
            id=23,
            name="Isaiah",
            abbrev="Isa",
            code="isa",
            depth=2,
            aliases=[],
            chapters=66,
        ),
        Book(
            id=24,
            name="Jeremiah",
            abbrev="Jer",
            code="jer",
            depth=2,
            aliases=[],
            chapters=52,
        ),
        Book(
            id=25,
            name="Lamentations",
            abbrev="Lam",
            code="lam",
            depth=2,
            aliases=[],
            chapters=5,
        ),
        Book(
            id=26,
            name="Ezekiel",
            abbrev="Ezek",
            code="ezek",
            depth=2,
            aliases=[],
            chapters=48,
        ),
        Book(
            id=27,
            name="Daniel",
            abbrev="Dan",
            code="dan",
            depth=2,
            aliases=[],
            chapters=12,
        ),
        Book(
            id=28,
            name="Hosea",
            abbrev="Hos",
            code="hos",
            depth=2,
            aliases=[],
            chapters=14,
        ),
        Book(
            id=29,
            name="Joel",
            abbrev="Joel",
            code="joel",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=30,
            name="Amos",
            abbrev="Amos",
            code="amos",
            depth=2,
            aliases=[],
            chapters=9,
        ),
        Book(
            id=31,
            name="Obadiah",
            abbrev="Obad",
            code="obad",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=32,
            name="Jonah",
            abbrev="Jonah",
            code="jonah",
            depth=2,
            aliases=["Jon"],
            chapters=4,
        ),
        Book(
            id=33,
            name="Micah",
            abbrev="Mic",
            code="mic",
            depth=2,
            aliases=[],
            chapters=7,
        ),
        Book(
            id=34,
            name="Nahum",
            abbrev="Nah",
            code="nah",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=35,
            name="Habbakuk",
            abbrev="Hab",
            code="hab",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=36,
            name="Zephaniah",
            abbrev="Zeph",
            code="zeph",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=37,
            name="Haggai",
            abbrev="Hag",
            code="hag",
            depth=2,
            aliases=[],
            chapters=2,
        ),
        Book(
            id=38,
            name="Zechariah",
            abbrev="Zech",
            code="zech",
            depth=2,
            aliases=[],
            chapters=14,
        ),
        Book(
            id=39,
            name="Malachi",
            abbrev="Mal",
            code="mal",
            depth=2,
            aliases=[],
            chapters=4,
        ),
    ],
)

DC = Library(
    id=210,
    name="Deuterocanonical",
    abbrev="DC",
    code="dc",
    books=[
        Book(
            id=1,
            name="Tobit",
            abbrev="Tob",
            code="tob",
            depth=2,
            aliases=[],
            chapters=14,
        ),
        Book(
            id=2,
            name="Judith",
            abbrev="Jdt",
            code="jdt",
            depth=2,
            aliases=[],
            chapters=16,
        ),
        Book(
            id=3,
            name="Additions to Esther",
            abbrev="Add Esth",
            code="addesth",
            depth=2,
            aliases=[],
            chapters=7,
            # TODO: Offsets: 11..16; or handle 'Greek Esther' (10 chapters).
        ),
        Book(
            id=4,
            name="Wisdom of Solomon",
            abbrev="Wis",
            code="wis",
            depth=2,
            aliases=[],
            chapters=19,
        ),
        Book(
            id=5,
            name="Sirach",
            abbrev="Sir",
            code="sir",
            depth=2,
            aliases=["Ecclesiasticus", "Eccles"],
            chapters=51,
        ),
        Book(
            id=6,
            name="Baruch",
            abbrev="Bar",
            code="bar",
            depth=2,
            aliases=[],
            chapters=6,
        ),
        Book(
            id=7,
            name="Epistle of Jeremiah",
            abbrev="Ep Jer",
            code="epjer",
            depth=1,
            aliases=["Letter of Jeremiah"],
            chapters=1,
        ),
        Book(
            id=8,
            name="Additions to Daniel",
            abbrev="Add Dan",
            code="dan",
            depth=2,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=9,
            name="Prayer of Azariah",
            abbrev="Pr Azar",
            code="prazar",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=10,
            name="Song of the Three Young Men",
            abbrev="Sg Three",
            code="sgthree",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=11,
            name="Susannah",
            abbrev="Sus",
            code="sus",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=12,
            name="Bel and the Dragon",
            abbrev="Bel",
            code="bel",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=13,
            name="1 Maccabees",
            abbrev="1 Macc",
            code="1macc",
            depth=2,
            aliases=[],
            chapters=16,
        ),
        Book(
            id=14,
            name="2 Maccabees",
            abbrev="2 Macc",
            code="2macc",
            depth=2,
            aliases=[],
            chapters=15,
        ),
    ],
)
DC_ORTHODOX = Library(
    id=220,
    name="Deuterocanonical (Orthodox)",
    abbrev="DCO",
    code="dco",
    books=[
        Book(
            id=1,
            name="1 Esdras",
            abbrev="1 Esd",
            code="1esd",
            depth=2,
            aliases=[],
            chapters=9,
        ),
        Book(
            id=2,
            name="Prayer of Manesseh",
            abbrev="Pr Man",
            code="prman",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=3,
            name="Psalm 151",
            abbrev="Ps 151",
            code="ps151",
            depth=1,
            aliases=[],
            chapters=1,
        ),
        Book(
            id=4,
            name="3 Maccabees",
            abbrev="3 Macc",
            code="esd",
            depth=2,
            aliases=[],
            chapters=7,
        ),
        Book(
            id=5,
            name="2 Esdras",
            abbrev="2 Esd",
            code="2esd",
            depth=2,
            aliases=[],
            chapters=16,
        ),
        Book(
            id=6,
            name="4 Maccabees",
            abbrev="4 Macc",
            code="4macc",
            depth=2,
            aliases=[],
            chapters=18,
        ),
    ],
)

NT = Library(
    id=400,
    name="New Testament",
    abbrev="NT",
    code="nt",
    books=[
        Book(
            id=1,
            name="Matthew",
            abbrev="Matt",
            code="matt",
            depth=2,
            aliases=["mt"],
            chapters=28,
        ),
        Book(
            id=2,
            name="Mark",
            abbrev="Mark",
            code="mark",
            depth=2,
            aliases=["mk"],
            chapters=16,
        ),
        Book(
            id=3,
            name="Luke",
            abbrev="Luke",
            code="luke",
            depth=2,
            aliases=["lk"],
            chapters=24,
        ),
        Book(
            id=4,
            name="John",
            abbrev="John",
            code="john",
            depth=2,
            aliases=["jn"],
            chapters=21,
        ),
        Book(
            id=5,
            name="Acts",
            abbrev="Acts",
            code="acts",
            depth=2,
            aliases=["ac"],
            chapters=28,
        ),
        Book(
            id=6,
            name="Romans",
            abbrev="Rom",
            code="rom",
            depth=2,
            aliases=["ro"],
            chapters=16,
        ),
        Book(
            id=7,
            name="1 Corinthians",
            abbrev="1 Cor",
            code="1cor",
            depth=2,
            aliases=[],
            chapters=16,
        ),
        Book(
            id=8,
            name="2 Corinthians",
            abbrev="2 Cor",
            code="2cor",
            depth=2,
            aliases=[],
            chapters=13,
        ),
        Book(
            id=9,
            name="Galatians",
            abbrev="Gal",
            code="gal",
            depth=2,
            aliases=[],
            chapters=6,
        ),
        Book(
            id=10,
            name="Ephesians",
            abbrev="Eph",
            code="eph",
            depth=2,
            aliases=[],
            chapters=6,
        ),
        Book(
            id=11,
            name="Philippians",
            abbrev="Phil",
            code="phil",
            depth=2,
            aliases=[],
            chapters=4,
        ),
        Book(
            id=12,
            name="Colossians",
            abbrev="Col",
            code="col",
            depth=2,
            aliases=[],
            chapters=4,
        ),
        Book(
            id=13,
            name="1 Thessalonians",
            abbrev="1 Thess",
            code="1thess",
            depth=2,
            aliases=["1 Th"],
            chapters=5,
        ),
        Book(
            id=14,
            name="2 Thessalonians",
            abbrev="2 Thess",
            code="2thess",
            depth=2,
            aliases=["2 Th"],
            chapters=3,
        ),
        Book(
            id=15,
            name="1 Timothy",
            abbrev="1 Tim",
            code="1tim",
            depth=2,
            aliases=[],
            chapters=6,
        ),
        Book(
            id=16,
            name="2 Timothy",
            abbrev="2 Tim",
            code="2tim",
            depth=2,
            aliases=[],
            chapters=4,
        ),
        Book(
            id=17,
            name="Titus",
            abbrev="Tit",
            code="tit",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=18,
            name="Philemon",
            abbrev="Phlm",
            code="phlm",
            depth=1,
            aliases=["phm"],
            chapters=1,
        ),
        Book(
            id=19,
            name="Hebrews",
            abbrev="Heb",
            code="heb",
            depth=2,
            aliases=[],
            chapters=13,
        ),
        Book(
            id=20,
            name="James",
            abbrev="Jam",
            code="jam",
            depth=2,
            aliases=["jas"],
            chapters=5,
        ),
        Book(
            id=21,
            name="1 Peter",
            abbrev="1 Pet",
            code="1pet",
            depth=2,
            aliases=[],
            chapters=5,
        ),
        Book(
            id=22,
            name="2 Peter",
            abbrev="2 Pet",
            code="2pet",
            depth=2,
            aliases=[],
            chapters=3,
        ),
        Book(
            id=23,
            name="1 John",
            abbrev="1 John",
            code="1jn",
            depth=2,
            aliases=["1 Jn"],
            chapters=5,
        ),
        Book(
            id=24,
            name="2 John",
            abbrev="2 John",
            code="2jn",
            depth=1,
            aliases=["2 Jn"],
            chapters=1,
        ),
        Book(
            id=25,
            name="3 John",
            abbrev="3 John",
            code="3jn",
            depth=1,
            aliases=["3 Jn"],
            chapters=1,
        ),
        Book(
            id=26,
            name="Jude",
            abbrev="Jude",
            code="jude",
            depth=2,
            aliases=["jd"],
            chapters=1,
        ),
        Book(
            id=27,
            name="Revelation",
            abbrev="Rev",
            code="rev",
            depth=2,
            aliases=["Apocalypse", "Apoc"],
            chapters=22,
        ),
    ],
)
